apt出问题,无法删除dict-xdict

为当前最终发行版之前的所有版本提供支持
回复
头像
liu滔
帖子: 7211
注册时间: 2010-10-09 23:01
送出感谢: 5 次
接收感谢: 14 次

apt出问题,无法删除dict-xdict

#1

帖子 liu滔 » 2011-01-29 23:08

运行命令``sudo apt-get autoremove'',发现只有一个dict-xdict可以删除,果断删除,输入Y,然后……果断失败 :em20
出错信息为
(正在读取数据库 ... 系统当前总共安装有 231960 个文件和目录。)
正在删除 dict-xdict ...
invoke-rc.d: unknown initscript, /etc/init.d/dictd not found.
dpkg:处理 dict-xdict (--remove)时出错:
子进程 已安装的 post-removal 脚本 返回了错误号 100
在处理时有错误发生:
dict-xdict
E: Sub-process /usr/bin/dpkg returned an error code (1)
看不懂啊,怎么办,好像也无法安装其它软件了,今天安装``茄子大头贴''中途发现无法设置,救命啊~
头像
liu滔
帖子: 7211
注册时间: 2010-10-09 23:01
送出感谢: 5 次
接收感谢: 14 次

Re: apt出问题,无法删除dict-xdict

#2

帖子 liu滔 » 2011-01-30 16:05

不要消失于无形啊~救救我啊~ :em20
头像
hiphen
帖子: 803
注册时间: 2010-08-27 15:53
送出感谢: 0
接收感谢: 1 次

Re: apt出问题,无法删除dict-xdict

#3

帖子 hiphen » 2011-01-30 16:40

你怎么确认无法安装其他软件?

是否会使用aptitude界面工具? 如果是,修复依赖

由于不知道你为啥会出错,我猜测是依赖break了,
所以如果真的无效,或者自己copy /etc/init.d/rc.local文件,但记得要修改一下,存为/etc/init.d/dictd,看是否能走得通程序。
基础问题,请看入门手册http://people.ubuntu.com/~happyaron/udc-cn/lucid-html/

Acer aspire 4736G / Ubuntu 10.04LTS
Asus eeepc900 / Xandros
Nokia N900 / Maemo 1.2.12
头像
liu滔
帖子: 7211
注册时间: 2010-10-09 23:01
送出感谢: 5 次
接收感谢: 14 次

Re: apt出问题,无法删除dict-xdict

#4

帖子 liu滔 » 2011-01-30 17:02

hiphen 写了:你怎么确认无法安装其他软件?

是否会使用aptitude界面工具? 如果是,修复依赖

由于不知道你为啥会出错,我猜测是依赖break了,
所以如果真的无效,或者自己copy /etc/init.d/rc.local文件,但记得要修改一下,存为/etc/init.d/dictd,看是否能走得通程序。
我是因为看到安装``茄子大头贴''装到最后少了设置的步骤,然后猜测可能因为它而无法安装其它软件的,当然,只是猜测。 :em03
aptitude不会用,不过我发现运行``sudo apt-get install -f''没有作用 :em20
头像
hiphen
帖子: 803
注册时间: 2010-08-27 15:53
送出感谢: 0
接收感谢: 1 次

Re: apt出问题,无法删除dict-xdict

#5

帖子 hiphen » 2011-01-30 17:24

那正好是个机会研究aptitude,好东西来的
基础问题,请看入门手册http://people.ubuntu.com/~happyaron/udc-cn/lucid-html/

Acer aspire 4736G / Ubuntu 10.04LTS
Asus eeepc900 / Xandros
Nokia N900 / Maemo 1.2.12
头像
astolia
论坛版主
帖子: 3033
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 500 次

Re: apt出问题,无法删除dict-xdict

#6

帖子 astolia » 2011-01-30 18:55

执行 /var/lib/dpkg/info/dict-xdict.postrm (也可能是类似名字的) 出错而已。
不知道你怎么弄的把/etc/init.d/dictd给删了。
如果懂shell编程的话自己修改/var/lib/dpkg/info/dict-xdict.postrm,不懂的话直接把它删了就是,最多在你系统上留下些没用的配置文件,不会有什么大问题的
头像
liu滔
帖子: 7211
注册时间: 2010-10-09 23:01
送出感谢: 5 次
接收感谢: 14 次

Re: apt出问题,无法删除dict-xdict

#7

帖子 liu滔 » 2011-01-30 21:59

astolia 写了:执行 /var/lib/dpkg/info/dict-xdict.postrm (也可能是类似名字的) 出错而已。
不知道你怎么弄的把/etc/init.d/dictd给删了。
如果懂shell编程的话自己修改/var/lib/dpkg/info/dict-xdict.postrm,不懂的话直接把它删了就是,最多在你系统上留下些没用的配置文件,不会有什么大问题的
:em06 其实我很无辜的,那东西一开始就没安装成功,我也很无奈啊~不过你的方法貌似可行,还是先试试吧 :em11
头像
liu滔
帖子: 7211
注册时间: 2010-10-09 23:01
送出感谢: 5 次
接收感谢: 14 次

Re: apt出问题,无法删除dict-xdict

#8

帖子 liu滔 » 2011-01-31 23:07

astolia 写了:执行 /var/lib/dpkg/info/dict-xdict.postrm (也可能是类似名字的) 出错而已。
不知道你怎么弄的把/etc/init.d/dictd给删了。
如果懂shell编程的话自己修改/var/lib/dpkg/info/dict-xdict.postrm,不懂的话直接把它删了就是,最多在你系统上留下些没用的配置文件,不会有什么大问题的
今天试了一下,结果还真的就没有报错了,谢谢你啊~ :em11
头像
liu滔
帖子: 7211
注册时间: 2010-10-09 23:01
送出感谢: 5 次
接收感谢: 14 次

Re: apt出问题,无法删除dict-xdict

#9

帖子 liu滔 » 2011-01-31 23:09

hiphen 写了:那正好是个机会研究aptitude,好东西来的
hiphen,不好意思了,我搞定了这个问题但是没有研究aptitude,抱歉了,毕竟我还是一个急功近利的人来着 :em06
回复

回到 “老旧版本支持”